2018-06-24 06:00 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0001928FSSCPFREDpublic2012-12-18 13:08
ReporterFUBAR-BDHR 
Assigned ToValathil 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version 
Summary0001928: Opening a mission while the briefing editor does not update the briefing.
DescriptionThis is kind of a strange one to describe. Basically I was looking through the old EAS Janus missions for outdated ship/weapons classes in notepad. I encountered a briefing icon class that didn't exist so I opened the mission in FRED to see what the class was supposed to be. Did a file->new while the briefing editor was still open. Edited the class in notepad and then opened it in FRED (briefing editor still open). Well the mission loaded but no icons or briefing stages (screenshot attached). Figured I made a typo but nope the briefing editor just didn't update. If I close the briefing editor and reopen it the stages and icons do load.
Additional Information3.6.10 RC2. Looks like this is reproducible with any mission just by opening one, going into the briefing editor, doing a file-new and opening the mission again (probably any mission).
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0014509

MjnMixael (manager)

Still an issue. IMO, the easiest way to deal with this is to disallow opening new missions while in the briefing editor, much like the campaign editor.

~0014516

Valathil (developer)

Fix committed to trunk@9448.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2009-05-21 21:09 FUBAR-BDHR New Issue
2009-05-21 21:09 FUBAR-BDHR File Added: breifbug.jpg
2012-12-17 23:16 MjnMixael Note Added: 0014509
2012-12-18 13:06 Valathil Assigned To => Valathil
2012-12-18 13:06 Valathil Status new => assigned
2012-12-18 13:08 Valathil Changeset attached => fs2open trunk r9448
2012-12-18 13:08 Valathil Note Added: 0014516
2012-12-18 13:08 Valathil Status assigned => resolved
2012-12-18 13:08 Valathil Resolution open => fixed
+Issue History